Subject: Re: [REVIEW][PATCH 0/21] User namespace changes to the networking stack.

From: ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked] (Eric W. Biederman)
Date: Tue, 14 Aug 2012 23:37:42 -0700

David Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]> writes:

> From: ebiederm-aS9lmoZGLiVWk0Htik3J/[email-masked] (Eric W. Biederman)
> Date: Mon, 13 Aug 2012 13:07:10 -0700
>
>> 
>> This is a modest set of changes against the current networking stack to
>> enable basic user namespace support.  Allowing the code to compile with
>> user namespaces enabled and removing the assumption that there is only
>> the initial user namespace.
>> 
>> Work to relax the privilege checks in the networking stack from
>> "capable(CAP_NET_ADMIN)" or "capable(CAP_NET_RAW)" to
>> "ns_capable(net->user_ns, CAP_NET_ADMIN)" or 
>> "ns_capable(net->user_ns, CAP_NET_RAW)" allowing root in a user
>> namespace to control a network namespace will come later.
>> 
>> David there are just enough interdependencies between the user namespace
>> bits that I intend to merge them all through my user namespace tree.
>> After the review is complete I will add these patches to my for-next
>> branch of my user-namespace.git tree where I do not intend to rebase.
>> If it make sense to pull these into net-next to avoid or reduce
>> conflicts that should not be a problem.
>
> Looks fine to me, you can add:
>
> Acked-by: David S. Miller <davem-fT/PcQaiUtIeIZ0/[email-masked]>
>
> to all of this stuff.  Let me know when something is stable in your
> tree, and I can therefore pull from it into net-next.

All of these patches + 2 others trivial userns bug fixes are now
in my for-next branch at:

git.kernel.org:/pub/scm/linux/kernel/git/ebiederm/user-namespace.git for-next

I won't be rebasing that branch so feel free to merge it into net-next
if you are so inclined.  It will be a day or two before I get my next
chunk of patches posted, reviewed and ready to join my for-next branch.

Eric